Path::IsDev::Heuristic::MYMETA(3)

NAME
Path::IsDev::Heuristic::MYMETA - Determine if a path contains MYMETA.(json|yml)

VERSION
version 1.001003

DESCRIPTION
This heuristic is intended as a guarantee that SOME kind of top level marker will be present in a distribution, as all the main tool-chains emit this file during "configure".

Granted, this heuristic is expected to be never needed, as in order to create such a file, you first need a "Build.PL"/"Makefile.PL" to generate it.

METHODS

  "files"
Files relevant to this heuristic

    MYMETA.json
    MYMETA.yml

  "matches"
Matches if any of the files in "files" exist as children of the "path"

AUTHOR
Kent Fredric <kentnl@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2017 by Kent Fredric <kentfredric@gmail.com>.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.